Subject: bug#52233: closed (Re: [bug#52233] [PATCH] gnu: godot: Update to 3.4)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 02 Dec 2021 19:26:03 +0000

Your bug report

#52233: [PATCH] gnu: godot: Update to 3.4

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
52233: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=52233
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#52233] [PATCH] gnu: godot: Update to 3.4
From: Leo Famulari <[email-masked]>
To: Andy Tai <[email-masked]>
Cc: [email-masked]
Date: Thu, 2 Dec 2021 14:25:31 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, Dec 02, 2021 at 12:07:34AM -0800, Andy Tai wrote:
> I just built  superstarfighter with godot 3.4 and I was able to start
> the game on my PC.  So I guess it may run successfully or fail due to
> difference in hardware configurations.  Just a data point.

I'm curious, was that on Guix System? Or Guix on another distro? I
tested with Guix on Debian.

Subject: [PATCH] gnu: godot: Update to 3.4
From: Andy Tai <[email-masked]>
To: [email-masked]
Date: Wed, 1 Dec 2021 15:55:06 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

From a981266f1e8388c0c5ede302cbdbc04df7e1c881 Mon Sep 17 00:00:00 2001
From: Andy Tai <[email-masked]>
Date: Wed, 1 Dec 2021 15:49:39 -0800
Subject: [PATCH] gnu: godot: Update to 3.4.
To: [email-masked]

    * gnu/packages/game-development.scm (godot): Update to 3.4.
---
 gnu/packages/game-development.scm | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/game-development.scm b/gnu/packages/game-development.scm
index a060dc94dc..380b5705d0 100644
--- a/gnu/packages/game-development.scm
+++ b/gnu/packages/game-development.scm
@@ -1846,7 +1846,7 @@ (define-public openmw
 (define-public godot
   (package
     (name "godot")
-    (version "3.2.3")
+    (version "3.4")
     (source (origin
               (method git-fetch)
               (uri (git-reference
@@ -1855,7 +1855,7 @@ (define-public godot
               (file-name (git-file-name name version))
               (sha256
                (base32
-                "19vrp5lhyvxbm6wjxzn28sn3i0s8j08ca7nani8l1nrhvlc8wi0v"))
+                "0y542zla6msgxf31rd0349d9j3ya7f3njnwmmrh8lmzfgxx86qbx"))
               (modules '((guix build utils)
                          (ice-9 ftw)
                          (srfi srfi-1)))
@@ -1870,19 +1870,23 @@ (define-public godot
                               "assimp"
                               "certs"
                               "cvtt"
+                              "embree"
                               "enet"
                               "etc2comp"
                               "fonts"
                               "glad"
                               "jpeg-compressor"
                               "libsimplewebm"
+                              "minimp3"
                               "miniupnpc"
                               "minizip"
                               "misc"
                               "nanosvg"
+                              "oidn"
                               "pvrtccompressor"
                               "recastnavigation"
                               "squish"
+                              "stb_rect_pack"
                               "tinyexr"
                               "vhacd"
                               "xatlas")))
@@ -1969,6 +1973,7 @@ (define-public godot
     (native-inputs `(("pkg-config" ,pkg-config)))
     (inputs `(("alsa-lib" ,alsa-lib)
               ("bullet" ,bullet)
+              ("eudev" ,eudev)
               ("freetype" ,freetype)
               ("glew" ,glew)
               ("glu" ,glu)
-- 
2.34.0